#
# spec file for package simple-obfs
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           simple-obfs
Version:        0.0.5
Release:        bp156.4.6
Summary:        A simple obfusacting tool
License:        GPL-3.0-or-later
Group:          Productivity/Networking/Web/Proxy
URL:            https://github.com/shadowsocks/simple-obfs
Source0:        https://github.com/shadowsocks/simple-obfs/archive/v%{version}/%{name}-%{version}.tar.gz
Source1:        https://github.com/shadowsocks/libcork/archive/f02984545061c924808e4b9ea7cc6749a41f1979/libcork-f029845.tar.gz
Patch1:         simple-obfs-asciidoc-fix.patch
Patch2:         simple-obfs-gcc-buildfixes.patch

BuildRequires:  asciidoc
BuildRequires:  c++_compiler
BuildRequires:  libtool
BuildRequires:  mbedtls-devel
BuildRequires:  pkgconfig
BuildRequires:  udns-devel
BuildRequires:  xmlto
BuildRequires:  pkgconfig(libev)
BuildRequires:  pkgconfig(libsodium) >= 1.0.4
BuildRequires:  pkgconfig(openssl)

%description
Simple-obfs is a simple obfusacting tool, designed as plugin server of shadowsocks.

%package doc
Summary:        Documents for simple-obfs
Group:          Documentation/HTML
Requires:       %{name} = %{version}
BuildArch:      noarch

%description doc
Simple-obfs is a simple obfusacting tool, designed as plugin server of shadowsocks.

This package provides Documents for it.

%prep
%setup -a1 -q
%patch1 -p1
%patch2 -p1

%build
rmdir libcork
mv libcork-f02984545061c924808e4b9ea7cc6749a41f1979 libcork
autoreconf -fiv
%configure
make %{?_smp_mflags} V=1

%install
%make_install
rm -rf %{buildroot}%{_libdir}/*.{a,la}

%files
%license COPYING
%doc Changes README.md AUTHORS
%{_mandir}/man1/obfs-*.1%{?ext_man}
%{_bindir}/obfs-local
%{_bindir}/obfs-server

%files doc
%dir %{_datadir}/doc/%{name}
%doc %{_datadir}/doc/%{name}/*.html

%changelog
* Wed Oct  9 2019 Bjørn Lie <bjorn.lie@gmail.com>
- Add simple-obfs-gcc-buildfixes.patch: Fix build with gcc9,
  patches from upstream git. Replace gcc8 and gcc8-c++ with generic
  c++_compiler BuildRequires.
* Tue Jul 16 2019 Hillwood Yang <hillwood@opensuse.org>
- Update libcork
- Use gcc8 to fix build on Tumbleweed
* Fri Apr 13 2018 mpluskal@suse.com
- Cleanup spec file with spec-cleaner
- Make building more verbose
* Wed Feb 28 2018 tiwai@suse.de
- Fix the documentation build with asciidoctor (bsc#1075764):
  simple-obfs-asciidoc-fix.patch
* Thu Nov 16 2017 hillwood@opensuse.org
- Update to 0.0.5
  * Minor bug fixes.
  * Fix the building issue on MinGW.
* Thu Jul 20 2017 hillwood@opensuse.org
- Initial version 0.0.3
  * Make reverse proxy support optional
  * Make the HTTP obfuscation work behind an NGINX reverse proxy
